Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- b
- c
- d
- e
- f
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups

### - b -

- bottom : ViewRect

### - c -

- cardinality : PClassInfo , PClassInfo2 , PClassInfoW
- category : PClassInfo , PClassInfo2 , PClassInfoW
- character : KeyCode
- cid : PClassInfo2 , PClassInfoW , PClassInfo
- classFlags : PClassInfoW , PClassInfo2

### - d -

- data : FUID , UStringBuffer< maxSize >

### - e -

- email : PFactoryInfo

### - f -

- flags : PFactoryInfo
- floatValue : FVariant

### - i -

- iid : FUnknown , IBStream , IPlugViewContentScaleSupport , IRunLoop , ITimerHandler , IEventHandler , IPlugFrame , IPlugView , IDependent , ICloneable , IString , IStringResult , IPluginCompatibility , IPluginFactory3 , IPluginFactory2 , IPluginFactory , IPluginBase , IAttributes2 , IAttributes , IPersistent , IErrorContext , IUpdateHandler , ISizeableStream
- intValue : FVariant

### - l -

- left : ViewRect

### - m -

- modifier : KeyCode

### - n -

- name : PClassInfo , PClassInfoW , PClassInfo2

### - o -

- object : FVariant

### - p -

- ptr : IPtr< I >

### - r -

- right : ViewRect

### - s -

- sdkVersion : PClassInfo2 , PClassInfoW
- string16 : FVariant
- string8 : FVariant
- subCategories : PClassInfo2 , PClassInfoW

### - t -

- thisBuffer : UString
- thisSize : UString
- top : ViewRect
- type : FVariant

### - u -

- u : FReleaser
- url : PFactoryInfo

### - v -

- vendor : PFactoryInfo , PClassInfo2 , PClassInfoW
- version : PClassInfo2 , PClassInfoW
- virt : KeyCode

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.